> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search descriptions omitted from task lists



## OpenAPI

````yaml /openapi.json get /task/description-matches/{projectId}
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /task/description-matches/{projectId}:
    get:
      tags:
        - Tasks
      summary: Search descriptions omitted from task lists
      operationId: findDeferredTaskDescriptions
      parameters:
        - schema:
            type: string
          required: true
          name: projectId
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 256
          required: true
          name: query
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: false
          name: after
          in: query
      responses:
        '200':
          description: Matching task IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDescriptionMatches'
        '400':
          description: Invalid search query or cursor
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid credentials
        '403':
          description: No workspace access
          content:
            text/plain:
              schema:
                type: string
        '503':
          description: Description search timed out
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    TaskDescriptionMatches:
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - ids
        - nextCursor
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````